osp_start_scan_opts_t Struct Reference

`#include <osp.h>`

## Data Fields

GSList * | targets
| Target hosts to scan.
GSList * | vt_groups
| VT groups to use for the scan.
GSList * | vts
| Single VTs to use for the scan.
GHashTable * | scanner_params
| Table of scanner parameters.
const char * | scan_id
| UUID to set for scan, null otherwise.

## Field Documentation

## scan_id

const char* osp_start_scan_opts_t::scan_id

UUID to set for scan, null otherwise.

## scanner_params

GHashTable* osp_start_scan_opts_t::scanner_params

Table of scanner parameters.

## targets

GSList* osp_start_scan_opts_t::targets

Target hosts to scan.

## vt_groups

GSList* osp_start_scan_opts_t::vt_groups

VT groups to use for the scan.

## vts

GSList* osp_start_scan_opts_t::vts

Single VTs to use for the scan.

The documentation for this struct was generated from the following file:

- osp/osp.h